<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="w05bParametrizacionSesionEJB.W05bParametrizacionSesion_4da6ds_EOImpl"
    enable-call-by-reference="false"
>
<cluster
    clusterable="true"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="getListadoAplicacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleAplicacion(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetalleAplicacion(es.ejie.w05b.beans.liquidaciones.W05bAplicacion)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetalleAplicacion(es.ejie.w05b.beans.liquidaciones.W05bAplicacion)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoTipoIngreso(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleTipoIngreso(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetalleTipoIngreso(es.ejie.w05b.beans.liquidaciones.W05bTipoIngreso)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetalleTipoIngreso(es.ejie.w05b.beans.liquidaciones.W05bTipoIngreso)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoConcepto(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleConcepto(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetalleConcepto(es.ejie.w05b.beans.liquidaciones.W05bConcepto)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetalleConcepto(es.ejie.w05b.beans.liquidaciones.W05bConcepto)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoEntidad(java.util.HashMap,java.lang.String[])"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleEntidad(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetalleEntidad(es.ejie.w05b.beans.parametrizaciones.clientes.W05bEntidad)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetalleEntidad(es.ejie.w05b.beans.parametrizaciones.clientes.W05bEntidad)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoDepartamentos(java.util.HashMap,java.lang.String[])"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleDepartamento(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetalleDepartamento(es.ejie.w05b.beans.parametrizaciones.clientes.W05bDepartamento)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetalleDepartamento(es.ejie.w05b.beans.parametrizaciones.clientes.W05bDepartamento)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoContacto(java.util.HashMap,java.lang.String[])"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleContacto(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetalleContacto(es.ejie.w05b.beans.parametrizaciones.clientes.W05bContacto)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetalleContacto(es.ejie.w05b.beans.parametrizaciones.clientes.W05bContacto)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleLibroRegistro()"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetalleRegistro(es.ejie.w05b.beans.parametrizaciones.libroRegistro.W05bLibroRegistro)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoPartidaPresupuestaria(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetallePartidaPresupuestaria(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetallePartidaPresupuestaria(es.ejie.w05b.beans.liquidaciones.W05bPartidaPresupuestaria)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetallePartidaPresupuestaria(es.ejie.w05b.beans.liquidaciones.W05bPartidaPresupuestaria)"
    requires-transaction="true"
>
</method>
<method
    name="modificarMasivaPartidaPresupuestaria(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoPrevisionesIngresos(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetallePrevisionIngresos(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetallePrevisionIngresos(es.ejie.w05b.beans.parametrizaciones.W05bPrevisionIngresos)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetallePrevisionIngresos(es.ejie.w05b.beans.parametrizaciones.W05bPrevisionIngresos)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoCartaPago(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleCartaPago(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetalleCarta(es.ejie.w05b.beans.parametrizaciones.W05bCartaPago)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoFirmantes(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleFirmante(java.lang.Long)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetalleFirmante(es.ejie.w05b.beans.parametrizaciones.W05bFirmante)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetalleFirmante(es.ejie.w05b.beans.parametrizaciones.W05bFirmante)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoPlantillas(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetallePlantilla(java.lang.Long)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetallePlantilla(es.ejie.w05b.beans.parametrizaciones.W05bPlantilla)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetallePlantilla(es.ejie.w05b.beans.parametrizaciones.W05bPlantilla)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoServicio(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleServicio(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="insertarDetalleServicio(es.ejie.w05b.beans.liquidaciones.W05bServicio)"
    requires-transaction="true"
>
</method>
<method
    name="modificarDetalleServicio(es.ejie.w05b.beans.liquidaciones.W05bServicio)"
    requires-transaction="true"
>
</method>
<method
    name="getDir3Depto(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getDir3Contacto(java.lang.String)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoDir3Entidad(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getListadoMotivosExencionIva(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="getDetalleMotivosExencionIva(java.util.HashMap)"
    requires-transaction="true"
>
</method>
<method
    name="modificarMotivosExencionIva(es.ejie.w05b.beans.parametrizaciones.W05bMotivoExencionIva)"
    requires-transaction="true"
>
</method>
<method
    name="insertarMotivosExencionIva(es.ejie.w05b.beans.parametrizaciones.W05bMotivoExencionIva)"
    requires-transaction="true"
>
</method>
<method
    name="getEJBHome()"
    requires-transaction="true"
>
</method>
<method
    name="getPrimaryKey()"
    requires-transaction="true"
>
</method>
<method
    name="remove()"
    requires-transaction="true"
>
</method>
<method
    name="getHandle()"
    requires-transaction="true"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
    requires-transaction="true"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
